searchData={"items":[{"type":"module","title":"GoogleApi.CloudShell.V1","doc":"API client metadata for GoogleApi.CloudShell.V1.","ref":"GoogleApi.CloudShell.V1.html"},{"type":"function","title":"GoogleApi.CloudShell.V1.discovery_revision/0","doc":"","ref":"GoogleApi.CloudShell.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Api.Operations","doc":"API calls for all endpoints tagged `Operations`.","ref":"GoogleApi.CloudShell.V1.Api.Operations.html"},{"type":"function","title":"GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.CloudShell.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudShell.V1.Model.CancelOperationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.CloudShell.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_delete/4","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.CloudShell.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_delete/4","doc":"*   `{:ok, %GoogleApi.CloudShell.V1.Model.Empty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudShell.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_get/4","doc":"*   `{:ok, %GoogleApi.CloudShell.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_get/4-returns"},{"type":"function","title":"GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudShell.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Api.Operations.cloudshell_operations_list/4","doc":"*   `{:ok, %GoogleApi.CloudShell.V1.Model.ListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudShell.V1.Api.Operations.html#cloudshell_operations_list/4-returns"},{"type":"module","title":"GoogleApi.CloudShell.V1.Api.Users","doc":"API calls for all endpoints tagged `Users`.","ref":"GoogleApi.CloudShell.V1.Api.Users.html"},{"type":"function","title":"GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_add_public_key/4","doc":"Adds a public SSH key to an environment, allowing clients with the corresponding private key to connect to that environment via SSH. If a key with the same content already exists, this will error with ALREADY_EXISTS.","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_add_public_key/4"},{"type":"function","title":"Parameters - GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_add_public_key/4","doc":"*   `connection` (*type:* `GoogleApi.CloudShell.V1.Connection.t`) - Connection to server\n*   `environment` (*type:* `String.t`) - Environment this key should be added to, e.g. `users/me/environments/default`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudShell.V1.Model.AddPublicKeyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_add_public_key/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_add_public_key/4","doc":"*   `{:ok, %GoogleApi.CloudShell.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_add_public_key/4-returns"},{"type":"function","title":"GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_authorize/4","doc":"Sends OAuth credentials to a running environment on behalf of a user. When this completes, the environment will be authorized to run various Google Cloud command line tools without requiring the user to manually authenticate.","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_authorize/4"},{"type":"function","title":"Parameters - GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_authorize/4","doc":"*   `connection` (*type:* `GoogleApi.CloudShell.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Name of the resource that should receive the credentials, for example `users/me/environments/default` or `users/someone@example.com/environments/default`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_authorize/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_authorize/4","doc":"*   `{:ok, %GoogleApi.CloudShell.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_authorize/4-returns"},{"type":"function","title":"GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_get/4","doc":"Gets an environment. Returns NOT_FOUND if the environment does not exist.","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudShell.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. Name of the requested resource, for example `users/me/environments/default` or `users/someone@example.com/environments/default`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_get/4","doc":"*   `{:ok, %GoogleApi.CloudShell.V1.Model.Environment{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_get/4-returns"},{"type":"function","title":"GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_remove_public_key/4","doc":"Removes a public SSH key from an environment. Clients will no longer be able to connect to the environment using the corresponding private key. If a key with the same content is not present, this will error with NOT_FOUND.","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_remove_public_key/4"},{"type":"function","title":"Parameters - GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_remove_public_key/4","doc":"*   `connection` (*type:* `GoogleApi.CloudShell.V1.Connection.t`) - Connection to server\n*   `environment` (*type:* `String.t`) - Environment this key should be removed from, e.g. `users/me/environments/default`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudShell.V1.Model.RemovePublicKeyRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_remove_public_key/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_remove_public_key/4","doc":"*   `{:ok, %GoogleApi.CloudShell.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_remove_public_key/4-returns"},{"type":"function","title":"GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_start/4","doc":"Starts an existing environment, allowing clients to connect to it. The returned operation will contain an instance of StartEnvironmentMetadata in its metadata field. Users can wait for the environment to start by polling this operation via GetOperation. Once the environment has finished starting and is ready to accept connections, the operation will contain a StartEnvironmentResponse in its response field.","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_start/4"},{"type":"function","title":"Parameters - GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_start/4","doc":"*   `connection` (*type:* `GoogleApi.CloudShell.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Name of the resource that should be started, for example `users/me/environments/default` or `users/someone@example.com/environments/default`.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudShell.V1.Model.StartEnvironmentRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_start/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Api.Users.cloudshell_users_environments_start/4","doc":"*   `{:ok, %GoogleApi.CloudShell.V1.Model.Operation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudShell.V1.Api.Users.html#cloudshell_users_environments_start/4-returns"},{"type":"module","title":"GoogleApi.CloudShell.V1.Connection","doc":"Handle Tesla connections for GoogleApi.CloudShell.V1.","ref":"GoogleApi.CloudShell.V1.Connection.html"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.CloudShell.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.CloudShell.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.CloudShell.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudShell.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.CloudShell.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.CloudShell.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.CloudShell.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudShell.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudShell.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudShell.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudShell.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudShell.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudShell.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudShell.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudShell.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.CloudShell.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.CloudShell.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.CloudShell.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.CloudShell.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.CloudShell.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.CloudShell.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudShell.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.CloudShell.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.CloudShell.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.CloudShell.V1.Connection.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.AddPublicKeyMetadata","doc":"Message included in the metadata field of operations returned from AddPublicKey.","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.AddPublicKeyMetadata","doc":"","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.AddPublicKeyMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.AddPublicKeyMetadata.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.AddPublicKeyRequest","doc":"Request message for AddPublicKey.","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.AddPublicKeyRequest","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Key that should be added to the environment. Supported formats are `ssh-dss` (see RFC4253), `ssh-rsa` (see RFC4253), `ecdsa-sha2-nistp256` (see RFC5656), `ecdsa-sha2-nistp384` (see RFC5656) and `ecdsa-sha2-nistp521` (see RFC5656). It should be structured as    , where   part is encoded with Base64.","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.AddPublicKeyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.AddPublicKeyRequest.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.AddPublicKeyResponse","doc":"Response message for AddPublicKey.","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.AddPublicKeyResponse","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Key that was added to the environment.","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.AddPublicKeyResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.AddPublicKeyResponse.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.AddPublicKeyResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentMetadata","doc":"Message included in the metadata field of operations returned from AuthorizeEnvironment.","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentMetadata","doc":"","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentMetadata.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentRequest","doc":"Request message for AuthorizeEnvironment.","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentRequest","doc":"*   `accessToken` (*type:* `String.t`, *default:* `nil`) - The OAuth access token that should be sent to the environment.\n*   `expireTime` (*type:* `DateTime.t`, *default:* `nil`) - The time when the credentials expire. If not set, defaults to one hour from when the server received the request.\n*   `idToken` (*type:* `String.t`, *default:* `nil`) - The OAuth ID token that should be sent to the environment.","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentRequest.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentResponse","doc":"Response message for AuthorizeEnvironment.","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentResponse","doc":"","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentResponse.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.AuthorizeEnvironmentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest","doc":"The request message for Operations.CancelOperation.","ref":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.CancelOperationRequest","doc":"","ref":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.CancelOperationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.CreateEnvironmentMetadata","doc":"Message included in the metadata field of operations returned from CreateEnvironment.","ref":"GoogleApi.CloudShell.V1.Model.CreateEnvironmentMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.CreateEnvironmentMetadata","doc":"","ref":"GoogleApi.CloudShell.V1.Model.CreateEnvironmentMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.CreateEnvironmentMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.CreateEnvironmentMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.CreateEnvironmentMetadata.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.CreateEnvironmentMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.DeleteEnvironmentMetadata","doc":"Message included in the metadata field of operations returned from DeleteEnvironment.","ref":"GoogleApi.CloudShell.V1.Model.DeleteEnvironmentMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.DeleteEnvironmentMetadata","doc":"","ref":"GoogleApi.CloudShell.V1.Model.DeleteEnvironmentMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.DeleteEnvironmentMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.DeleteEnvironmentMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.DeleteEnvironmentMetadata.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.DeleteEnvironmentMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.Empty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.CloudShell.V1.Model.Empty.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.Empty","doc":"","ref":"GoogleApi.CloudShell.V1.Model.Empty.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.Empty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.Empty.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.Empty.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.Empty.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.Environment","doc":"A Cloud Shell environment, which is defined as the combination of a Docker image specifying what is installed on the environment and a home directory containing the user's data that will remain across sessions. Each user has at least an environment with the ID \"default\".","ref":"GoogleApi.CloudShell.V1.Model.Environment.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.Environment","doc":"*   `dockerImage` (*type:* `String.t`, *default:* `nil`) - Required. Immutable. Full path to the Docker image used to run this environment, e.g. \"gcr.io/dev-con/cloud-devshell:latest\".\n*   `id` (*type:* `String.t`, *default:* `nil`) - Output only. The environment's identifier, unique among the user's environments.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Immutable. Full name of this resource, in the format `users/{owner_email}/environments/{environment_id}`. `{owner_email}` is the email address of the user to whom this environment belongs, and `{environment_id}` is the identifier of this environment. For example, `users/someone@example.com/environments/default`.\n*   `publicKeys` (*type:* `list(String.t)`, *default:* `nil`) - Output only. Public keys associated with the environment. Clients can connect to this environment via SSH only if they possess a private key corresponding to at least one of these public keys. Keys can be added to or removed from the environment using the AddPublicKey and RemovePublicKey methods.\n*   `sshHost` (*type:* `String.t`, *default:* `nil`) - Output only. Host to which clients can connect to initiate SSH sessions with the environment.\n*   `sshPort` (*type:* `integer()`, *default:* `nil`) - Output only. Port to which clients can connect to initiate SSH sessions with the environment.\n*   `sshUsername` (*type:* `String.t`, *default:* `nil`) - Output only. Username that clients should use when initiating SSH sessions with the environment.\n*   `state` (*type:* `String.t`, *default:* `nil`) - Output only. Current execution state of this environment.\n*   `webHost` (*type:* `String.t`, *default:* `nil`) - Output only. Host to which clients can connect to initiate HTTPS or WSS connections with the environment.","ref":"GoogleApi.CloudShell.V1.Model.Environment.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.Environment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.Environment.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.Environment.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.Environment.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.ListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.CloudShell.V1.Model.Operation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.ListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.Operation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.CloudShell.V1.Model.Operation.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.Operation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.CloudShell.V1.Model.Status.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.CloudShell.V1.Model.Operation.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.Operation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.Operation.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.Operation.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.Operation.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyMetadata","doc":"Message included in the metadata field of operations returned from RemovePublicKey.","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.RemovePublicKeyMetadata","doc":"","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyMetadata.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyRequest","doc":"Request message for RemovePublicKey.","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.RemovePublicKeyRequest","doc":"*   `key` (*type:* `String.t`, *default:* `nil`) - Key that should be removed from the environment.","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyRequest.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyResponse","doc":"Response message for RemovePublicKey.","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.RemovePublicKeyResponse","doc":"","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyResponse.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.RemovePublicKeyResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata","doc":"Message included in the metadata field of operations returned from StartEnvironment.","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata","doc":"*   `state` (*type:* `String.t`, *default:* `nil`) - Current state of the environment being started.","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentRequest","doc":"Request message for StartEnvironment.","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.StartEnvironmentRequest","doc":"*   `accessToken` (*type:* `String.t`, *default:* `nil`) - The initial access token passed to the environment. If this is present and valid, the environment will be pre-authenticated with gcloud so that the user can run gcloud commands in Cloud Shell without having to log in. This code can be updated later by calling AuthorizeEnvironment.\n*   `publicKeys` (*type:* `list(String.t)`, *default:* `nil`) - Public keys that should be added to the environment before it is started.","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentRequest.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse","doc":"Message included in the response field of operations returned from StartEnvironment once the operation is complete.","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse","doc":"*   `environment` (*type:* `GoogleApi.CloudShell.V1.Model.Environment.t`, *default:* `nil`) - Environment that was started.","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.StartEnvironmentResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudShell.V1.Model.Status","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.CloudShell.V1.Model.Status.html"},{"type":"module","title":"Attributes - GoogleApi.CloudShell.V1.Model.Status","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.CloudShell.V1.Model.Status.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudShell.V1.Model.Status.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudShell.V1.Model.Status.html#decode/2"},{"type":"type","title":"GoogleApi.CloudShell.V1.Model.Status.t/0","doc":"","ref":"GoogleApi.CloudShell.V1.Model.Status.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}